Define new Suite (js): Endurance
- have one ncmp-test-runner.js with different configs: kpi.json and
endurance.json
- move scenarios and thresholds settings into the json configs
Issue-ID: CPS-2444
Change-Id: I72f65036dc3f7762284b32903e1d05474dbed6c2
Signed-off-by: halil.cakal <halil.cakal@est.tech>
diff --git a/k6-tests/ncmp/run-all-tests.sh b/k6-tests/ncmp/run-all-tests.sh
index 3457903..3769570 100755
--- a/k6-tests/ncmp/run-all-tests.sh
+++ b/k6-tests/ncmp/run-all-tests.sh
@@ -20,9 +20,9 @@
number_of_failures=0
testProfile=$1
summaryFile="${testProfile}Summary.csv"
-
echo "Running $testProfile performance tests..."
-k6 run ncmp-kpi.js --quiet -e TEST_PROFILE="$testProfile" > "$summaryFile" 2>/dev/null || ((number_of_failures++))
+
+k6 run ncmp-test-runner.js --quiet -e TEST_PROFILE="$testProfile" > "$summaryFile" 2>/dev/null || ((number_of_failures++))
if [ -f "$summaryFile" ]; then